Orvelt

Get tags

GET
/project/{projectId}/tags

Get the tags a project measures and their order.

Requires a Business session or a resource-authorized OAuth token and the applicable member access. API keys are not accepted.

Authorization

cookieorvelt-biz.session_token<token>

An existing Business session. Browser requests must also pass origin and CSRF checks.

Path Parameters

projectId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Response Body

OK

application/json
  1. response
tags*array<>
Example Request
curl -X GET 'https://api.orvelt.com/v1/project/497f6eca-6276-4993-bfeb-53cbbbba6f08/tags'
Example Response
{
  "tags": [
    {
      "id": "string",
      "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",
      "tagKey": "trust",
      "name": "string",
      "description": "string",
      "metric": "string",
      "metricName": "string",
      "metricRationale": "string",
      "selected": true,
      "sentiment": {
        "score": -100,
        "positive": 0,
        "neutral": 0,
        "negative": 0,
        "answers": 0
      },
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ]
}